void setupControls(){
  
  cp5 = new ControlP5(this);  
  
  Group group = cp5.addGroup("Titles")
                    .setPosition(50,50)
                    .setSize(75,0);
  
  
  checkbox = cp5.addCheckBox("checkBox")
                .setPosition(0,checkHeight)
                .setSize(15,15)
                .setItemsPerRow(1)
                .setGroup(group);
                
  for(int i=0; i<bibNumbers.size();i++){
    Checkout c = bookMap.get(bibNumbers.get(i)).get(0);
    checkbox.addItem(c.title,c.bibNumber);   
    Toggle item = checkbox.getItem(i);
    item.setColorActive(getColor(c.bibNumber));
  }
  
  
  
  checkbox.activateAll();
  
  cp5.addButton("checkAll")
      .setPosition(width-125, 50)
      .setCaptionLabel("Select All");

   cp5.addButton("uncheckAll")
      .setPosition(width-125, 75)
      .setCaptionLabel("Deselect All");
 
                
  cp5.setAutoDraw(false);
}

void gui() {
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  cp5.draw();
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}

void keyPressed(){
  if(key==CODED){
    if(keyCode == DOWN){
      checkHeight -= 60;
      checkbox.setPosition(0,checkHeight);
    }
    if(keyCode == UP){
      checkHeight += 60;
      checkbox.setPosition(0,checkHeight);
    }
  }
}

void uncheckAll(){
  checkbox.deactivateAll();
}

void checkAll(){
  checkbox.activateAll();
}
